Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaqtl.util
Class MappingFunction

    java.lang.Object
      org.metaqtl.util.MappingFunction

    public final class MappingFunction

extends java.lang.Object

define all cartogarphies functions

Author:
  Jean-Baptiste Veyrieras

Constructor Summary
`MappingFunction()`

Method Summary
`static double` | `distance(double recombination, int function, int unit)` Returns the distance from the recombination rate.
`static double` | `recombination(double distance, int function, int unit)` Returns the recombination rate from the distance.
`static double` | `varianceDistance(double r, double rvar, int function, int unit)` Returns the variance of the distance for a given recombination rate r, its variance and the mapping function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappingFunction

    public MappingFunction()

Method Detail

### recombination

    public static double recombination(double distance,
                                       int function,
                                       int unit)

  Returns the recombination rate from the distance. unit : 0 -> M 1 -> cM

  Parameters:
    `distance` -

### distance

    public static double distance(double recombination,
                                  int function,
                                  int unit)

  Returns the distance from the recombination rate. unit : 0 -> M 1 -> cM

  Parameters:
    `recombination` -

### varianceDistance

    public static double varianceDistance(double r,
                                          double rvar,
                                          int function,
                                          int unit)

  Returns the variance of the distance for a given recombination rate r, its variance and the mapping function. unit : 0 -> M 1 -> cM

  Parameters:
    `r` -
    `rvar` -
    `function` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD